package me.km.snuviscript;

public interface IScriptBank {
    public void setVar(String value, String var, int playerId) throws Exception;

    public void deleteVar(String var, int playerId) throws Exception;

    public Object getVar(String var, int playerId, Object error) throws Exception;

    public Object getVar(String var, int playerId) throws Exception;

    public void addMapElement(String map, String key, String value) throws Exception;

    public void removeMapElement(String map, String key) throws Exception;

    public void removeMap(String map) throws Exception;

    public Object getMapValue(String map, String key) throws Exception;

    public void addDualMapElement(String map, String key, String key2, String value) throws Exception;

    public void removeDualMapElement(String map, String key) throws Exception;

    public void removeDualMap(String map) throws Exception;

    public void removeDualMapElement(String map, String key, String key2) throws Exception;

    public Object getDualMapValue(String map, String key, String key2) throws Exception;
}
